Bug 237677 - databases/sqlite3: update to 3.28.0
Summary: databases/sqlite3: update to 3.28.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://sqlite.org/releaselog/3_28_0....
Keywords: patch
Depends on: 237373
Blocks: 238087
  Show dependency treegraph
 
Reported: 2019-05-01 04:05 UTC by Jan Beich
Modified: 2019-05-23 22:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pavelivolkov)
jbeich: merge-quarterly+


Attachments
v0 (bump version without reviewing upstream changes) (1.50 KB, patch)
2019-05-01 04:05 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-05-01 04:05:35 UTC
Created attachment 204131 [details]
v0 (bump version without reviewing upstream changes)

Firefox 68 (also ESR) scheduled on 2019-07-09 will require SQLite 3.28.0. Can you help?
Comment 1 Jan Beich freebsd_committer 2019-05-01 04:18:30 UTC
Curiously, Firefox bug seems to block at least one restricted bug which may (or may not) be due to a security issue in SQLite. How important it is one can guess based on their opsec practice: visibly linked, not backported to 57.0 (yet?).

https://bugzilla.mozilla.org/show_bug.cgi?id=1544153
https://wiki.mozilla.org/Security/Bug_Approval_Process
Comment 2 Pavel Volkov 2019-05-04 06:20:37 UTC
Comment on attachment 204131 [details]
v0 (bump version without reviewing upstream changes)

Hello. I'm approved it. Thank you.
Comment 3 commit-hook freebsd_committer 2019-05-04 22:28:03 UTC
A commit references this bug:

Author: jbeich
Date: Sat May  4 22:27:29 UTC 2019
New revision: 500835
URL: https://svnweb.freebsd.org/changeset/ports/500835

Log:
  databases/sqlite3: update to 3.28.0

  Changes:	https://sqlite.org/releaselog/3_28_0.html
  ABI:		https://abi-laboratory.pro/tracker/timeline/sqlite/
  PR:		237677
  Approved by:	Pavel Volkov (maintainer)
  MFH:		2019Q2

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 4 commit-hook freebsd_committer 2019-05-08 02:21:08 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  8 02:20:34 UTC 2019
New revision: 500987
URL: https://svnweb.freebsd.org/changeset/ports/500987

Log:
  MFH: r500835

  databases/sqlite3: update to 3.28.0

  Changes:	https://sqlite.org/releaselog/3_28_0.html
  ABI:		https://abi-laboratory.pro/tracker/timeline/sqlite/
  PR:		237677
  Approved by:	Pavel Volkov (maintainer)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/databases/sqlite3/Makefile
  branches/2019Q2/databases/sqlite3/distinfo
Comment 5 Jan Beich freebsd_committer 2019-05-08 02:29:17 UTC
I've MFH'd just in case other consumers maybe interested. There were no related build regressions.
https://pkg-status.freebsd.org/builds/default:default:112amd64:500844:beefy9#new_failed